Debian Bug report logs - #521557
live-initramfs: Include gpm

version graph

Package: live-helper; Maintainer for live-helper is Debian Live Project <debian-live@lists.debian.org>;

Reported by: Kurt Roeckx <kurt@roeckx.be>

Date: Sat, 28 Mar 2009 13:30:01 UTC

Severity: normal

Fixed in version live-helper/1.0.5-1

Done: Daniel Baumann <daniel@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Live <debian-live@lists.debian.org>:
Bug#521557; Package live-initramfs. (Sat, 28 Mar 2009 13:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Kurt Roeckx <kurt@roeckx.be>:
New Bug report received and forwarded. Copy sent to Debian Live <debian-live@lists.debian.org>. (Sat, 28 Mar 2009 13:30:03 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Kurt Roeckx <kurt@roeckx.be>
To: submit@bugs.debian.org
Subject: live-initramfs: Include gpm
Date: Sat, 28 Mar 2009 14:28:06 +0100
Package: live-initramfs

Hi,

I'm using rescue version of the live image.  One thing I'm missing
is gpm.

It also seems to contains some things I don't expect on a
rescue image, like a dhcp server or sysstat.


Kurt





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live <debian-live@lists.debian.org>:
Bug#521557; Package live-initramfs. (Sat, 28 Mar 2009 14:12:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel@debian.org:
Extra info received and forwarded to list. Copy sent to Debian Live <debian-live@lists.debian.org>. (Sat, 28 Mar 2009 14:12:02 GMT) Full text and rfc822 format available.

Message #10 received at 521557@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: Kurt Roeckx <kurt@roeckx.be>, 521557@bugs.debian.org
Subject: Re: Bug#521557: live-initramfs: Include gpm
Date: Sat, 28 Mar 2009 15:10:08 +0100
reassign 521557 live-helper
tags 521557 +pending
thanks

Kurt Roeckx wrote:
> Package: live-initramfs

wrong package, please report *build* time issues against live-helper.

> I'm using rescue version of the live image.  One thing I'm missing
> is gpm.

added, thanks.

> It also seems to contains some things I don't expect on a
> rescue image, like a dhcp server

iirc, dhcp-server is disabled, so that's not a problem.

> or sysstat.

what's wrong with that?

Regards,
Daniel

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@panthera-systems.net
Internet:       http://people.panthera-systems.net/~daniel-baumann/




Bug reassigned from package `live-initramfs' to `live-helper'. Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. (Sat, 28 Mar 2009 14:12:03 GMT) Full text and rfc822 format available.

Tags added: pending Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. (Sat, 28 Mar 2009 14:12:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live <debian-live@lists.debian.org>:
Bug#521557; Package live-helper. (Sun, 29 Mar 2009 01:18:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Kurt Roeckx <kurt@roeckx.be>:
Extra info received and forwarded to list. Copy sent to Debian Live <debian-live@lists.debian.org>. (Sun, 29 Mar 2009 01:18:02 GMT) Full text and rfc822 format available.

Message #19 received at 521557@bugs.debian.org (full text, mbox):

From: Kurt Roeckx <kurt@roeckx.be>
To: Daniel Baumann <daniel@debian.org>
Cc: 521557@bugs.debian.org
Subject: Re: Bug#521557: live-initramfs: Include gpm
Date: Sun, 29 Mar 2009 03:15:23 +0200
On Sat, Mar 28, 2009 at 03:10:08PM +0100, Daniel Baumann wrote:
> > It also seems to contains some things I don't expect on a
> > rescue image, like a dhcp server
> 
> iirc, dhcp-server is disabled, so that's not a problem.
> 
> > or sysstat.
> 
> what's wrong with that?

I was under the impression that sysstat only contained sar, but it
also contains some other things which might be useful.

Something else you might want to add is bonnie++.


Kurt





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live <debian-live@lists.debian.org>:
Bug#521557; Package live-helper. (Sun, 29 Mar 2009 06:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel@debian.org:
Extra info received and forwarded to list. Copy sent to Debian Live <debian-live@lists.debian.org>. (Sun, 29 Mar 2009 06:03:03 GMT) Full text and rfc822 format available.

Message #24 received at 521557@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: Kurt Roeckx <kurt@roeckx.be>
Cc: 521557@bugs.debian.org
Subject: Re: Bug#521557: live-initramfs: Include gpm
Date: Sun, 29 Mar 2009 08:00:09 +0200
Kurt Roeckx wrote:
> Something else you might want to add is bonnie++.

done.

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@panthera-systems.net
Internet:       http://people.panthera-systems.net/~daniel-baumann/




Reply sent to Daniel Baumann <daniel@debian.org>:
You have taken responsibility. (Sun, 14 Jun 2009 14:18:13 GMT) Full text and rfc822 format available.

Notification sent to Kurt Roeckx <kurt@roeckx.be>:
Bug acknowledged by developer. (Sun, 14 Jun 2009 14:18:17 GMT) Full text and rfc822 format available.

Message #29 received at 521557-close@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 521557-close@bugs.debian.org
Subject: Bug#521557: fixed in live-helper 1.0.5-1
Date: Sun, 14 Jun 2009 13:47:11 +0000
Source: live-helper
Source-Version: 1.0.5-1

We believe that the bug you reported is fixed in the latest version of
live-helper, which is due to be installed in the Debian FTP archive:

live-helper_1.0.5-1.diff.gz
  to pool/main/l/live-helper/live-helper_1.0.5-1.diff.gz
live-helper_1.0.5-1.dsc
  to pool/main/l/live-helper/live-helper_1.0.5-1.dsc
live-helper_1.0.5-1_all.deb
  to pool/main/l/live-helper/live-helper_1.0.5-1_all.deb
live-helper_1.0.5.orig.tar.gz
  to pool/main/l/live-helper/live-helper_1.0.5.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 521557@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Baumann <daniel@debian.org> (supplier of updated live-helper package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 14 Jun 2009 15:00:00 +0200
Source: live-helper
Binary: live-helper
Architecture: source all
Version: 1.0.5-1
Distribution: unstable
Urgency: medium
Maintainer: Debian Live <debian-live@lists.debian.org>
Changed-By: Daniel Baumann <daniel@debian.org>
Description: 
 live-helper - Debian Live build scripts
Closes: 515974 521557 527311 527974 531795
Changes: 
 live-helper (1.0.5-1) unstable; urgency=medium
 .
   [ Daniel Baumann ]
   * Shortening LH_ISO_VOLUME defaults to not exceed max lenght (Closes:
     #515974).
   * Adding checks for exceeding lenght of the iso header strings.
   * Emitting a warning rather than an error when iso strings are too
     long.
   * Evalualting iso volume before checking their lenght, thanks to
     Roberto C. Morano <rcmorano@emergya.es>.
 .
   [ Chris Lamb ]
   * Correcting spelling of s/lenght/length/ in warning messages.
   * Improving grammar and clarity of LH_ISO_APPLICATION etc. warnings
 .
   [ Daniel Baumann ]
   * Adding initial support for virtual-hdd binary image type.
   * Updating manpage headers.
   * Updating manpage po4a.
   * Adding missing use of which in defaults setting of bootstrap
     program.
   * Correcting win32-loader copy call to work with non-chrooted builds
     too.
   * Only trying to copy syslinux english templates if they are actually
     available.
   * Only trying to handle syslinux help screens if they are actually
     available.
   * Improving check for syslinux templates by checking actual content,
     not just the directory.
   * Don't always overwrite keyring package option on debian or emedebian
     mode.
 .
   [ Cody A.W. Somerville ]
   * Checking for installer README.html to prevent build failure.
 .
   [ Daniel Baumann ]
   * Adding gpm to rescue list (Closes: #521557).
   * Adding bonnie++ to rescue list.
   * Updating first bunch of architectures to new location of d-i daily
     images.
 .
   [ Cody A.W. Somerville ]
   * Do not fail build when greps to generate udeb exclusion list return
     no results or grepped files do not exist.
 .
   [ Daniel Baumann ]
   * Removing some code in chroot_apt helper that left over the
     preferences files in the final image.
   * Removing old todo file.
   * Updating internal release numbers to current state in debian.
 .
   [ Cody A.W. Somerville ]
   * Adding Ubuntu mode.
 .
   [ Daniel Baumann ]
   * Not adding squashfs-modules to linux-packages on sid anymore, there
     it's mainlined.
 .
   [ Cody A.W. Somerville ]
   * Adding lpia support.
   * Updating defaults.sh to correctly set default LH_CATEGORIES when in
     Ubuntu mode.
 .
   [ Daniel Baumann ]
   * Manually ensuring correct permissions of filesystem.squashfs in
     order to prevent unbootable systems in some nutcases.
   * Updating location of powerpc d-i daily images.
   * Cleaning up makefile.
   * Simplyfing architecture handling for d-i daily URLs.
   * Adding update-initramfs call back in lh_chroot_hacks, but only for
     netboot.
   * Correcting typo in Makefile about line wrapping.
   * Correcting chroot call for update-initramfs in lh_chroot_hacks.
   * Correcting clean option of lh_config to tidy configuration tree.
 .
   [ Chris Lamb ]
   * Update location of ia64 d-i dailies. Thanks to Luk Claes.
 .
   [ Daniel Baumann ]
   * Not removing man/index.db in lh_chroot_hacks to keep man -k aka
     apropos working, thanks to Juliusz Chroboczek
     <Juliusz.Chroboczek@pps.jussieu.fr> (Closes: #527311).
   * Updating credits file.
   * Adding cdebootstrap and rinse to rescue list.
   * Exporting LH_CONFIG_VERSION for the configuration tree format.
 .
   [ Chris Lamb ]
   * Print a warning if you are using "stripped" or "minimal" but you
     have set LH_BINARY_INCICES="enabled" (Closes: #527974)
 .
   [ Tzafrir Cohen ]
   * Returning to menu in syslinux.
 .
   [ Daniel Baumann ]
   * Always rebuilding initrd in chroot_hacks to avoid inclusion of
     previously removed udev rules (such as persistent devices).
   * Removing madwifi from rescue list; packages are removed from debian,
     and currently we don't support nested ifdefs in packages lists.
 .
   [ Cody A.W. Somerville ]
   * Fixing LH_BOOTAPPEND_INSTALL issues for Ubuntu based builds.
 .
   [ Daniel Baumann ]
   * Adding kpdf-nodrm example hook from Tzafrir Cohen
     <tzafrir.cohen@xorcom.com>.
   * Updating kpdf-nodrm hook to also work with KDE4.
   * Correcting spelling mistake in kde-no-pdf-drm example hook.
   * Correcting another spelling mistake in kde-no-pdf-drm example hook.
 .
   [ Cody A.W. Somerville ]
   * Unmounting all mounts in chroot.
 .
   [ Daniel Baumann ]
   * Marking paketto and sing in rescue list as etch and lenny only
     (Closes: #531795).
 .
   [ Cody A.W. Somerville ]
   * Also respecting general apt/aptitude options for the install
     functions used during binary stage.
   * Fixing build failure in lh_binary_syslinux that occurs if
     exithelp.cfg does not exist.
 .
   [ Daniel Baumann ]
   * Emitting a warning if resolvconf is detected on the to be generated
     live system. Beware of resolvconf, it's broken beyond repair.
Checksums-Sha1: 
 c9a8351b7c90e9d95da4fb29954f6ba8894ef2a2 1239 live-helper_1.0.5-1.dsc
 83738f8b958ed198a4a218c60fd8a0891cc8af84 3969691 live-helper_1.0.5.orig.tar.gz
 e3c1215e04bad9979cc62dc139daa8553c2f44dc 26600 live-helper_1.0.5-1.diff.gz
 6c4b2d0b9c5b301f125d105d29b255d9f795ee4c 2883082 live-helper_1.0.5-1_all.deb
Checksums-Sha256: 
 a2737165995fd3e3fc52a8f6ed03aa6b72a121c683b3dd4d7207cf7de4770633 1239 live-helper_1.0.5-1.dsc
 a556c89ee8b0ba2158a14c82e12908bb5d4cd416a5056938df5ebf7ef2111bd3 3969691 live-helper_1.0.5.orig.tar.gz
 a053811dd36d9217fa8fd00d2b4341a182f0c4fb186ffef4ee2060e51897ada7 26600 live-helper_1.0.5-1.diff.gz
 488194f28e42fa2213bf34c23abf9bdcde6e13db49229fef0a394c441e66e2e3 2883082 live-helper_1.0.5-1_all.deb
Files: 
 5dc7adf9fcbe998bc962ca3379992db8 1239 misc optional live-helper_1.0.5-1.dsc
 57b469bdc59bdb3fef4db699487fa6af 3969691 misc optional live-helper_1.0.5.orig.tar.gz
 2d47c3bdad939cf8e50512f2f899d615 26600 misc optional live-helper_1.0.5-1.diff.gz
 bb43cf437db7f156504e14a724915d9d 2883082 misc optional live-helper_1.0.5-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAko0+8kACgkQ+C5cwEsrK572OQCgo/qvjk8NzaoIjpeJJwlCNoCV
MqsAn2bQtVHkwnXk4UEl6HquUxDBdiMa
=p+Ho
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 18 Jul 2009 07:33:41 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 01:50:51 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.